@echo off
echo Syntax     laserprt filename ( without the .lsr extension )
echo example    laserprt of__899
if "%1" == "" goto ERROR1
if not exist %1.lsr goto ERROR2
for %%X in (of_0418x of_0419x of_0420x) do if [%1]==[%%X] goto XFILES
echo Sending formatting codes to laserjet
echo l1o      landscape orientation
echo l4e      top margin 4 lines
echo l5.647c  5.647/48 inch increments per line
echo l66F     66 lines per page
echo k2S      16.66 pitch font
echo a23L     left margin column 23
echo &l1o4e5.647c66F&k2S&a23L > prn
echo Printing the open file
goto PRINTIT
:XFILES
echo Sending formatting codes to laserjet
echo l1o      landscape orientation
echo l0e      top margin 0 lines
echo l5.647c  5.647/48 inch increments per line
echo l67F     67 lines per page
echo k2S      16.66 pitch font
echo a23L     left margin column 23
echo &l1o0e5.647c67F&k2S&a23L > prn
echo Printing the open file
:PRINTIT
copy %1.lsr prn
echo Resetting the printer
echo E > prn
goto END
:ERROR1
echo No filename was specified
goto END
:ERROR2
echo The filename %1.lsr could not be found
:END
